function h = F0022_coolantSideHTC(G, par)
% parameters
mu = par.mu_clt;
k  = par.k_clt;
cp = par.cp_clt;

G = max(1,G);

% hydraulic diameter
D_h = par.D_h;

% Reynolds number
Re = G .* D_h ./ mu;

% Prandtl number
Pr = cp .* mu ./ k;

% HTC
h = 0.494 .* G .* cp .* Re.^(-0.426) .* Pr.^(-2/3);

end

